Package org.mariadb.jdbc.plugin.authentication.standard.ed25519.math

## Interface ScalarOps

All Known Implementing Classes:
  `Ed25519ScalarOps`

    public interface ScalarOps

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `multiplyAndAdd​(byte[] a, byte[] b, byte[] c)` $r = (a * b + c) \bmod l$
`byte[]` `reduce​(byte[] s)` Reduce the given scalar mod $l$.

### Method Detail

#### reduce

    byte[] reduce​(byte[] s)

Reduce the given scalar mod $l$.

From the Ed25519 paper:
Here we interpret $2b$-bit strings in little-endian form as integers in $\{0, 1,..., 2^{(2b)}-1\}$.

Parameters:
  `s` - the scalar to reduce
Returns:
  $s \bmod l$

#### multiplyAndAdd

    byte[] multiplyAndAdd​(byte[] a,
                          byte[] b,
                          byte[] c)

$r = (a * b + c) \bmod l$

Parameters:
  `a` - a scalar
  `b` - a scalar
  `c` - a scalar
Returns:
  $(a*b + c) \bmod l$